/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

/*
 * BSD 3 Clause License
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *      - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *      - Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *
 *      - Neither the name of Sun Microsystems, Inc. nor the
 *      names of its contributors may be used to endorse or promote products
 *      derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY SUN MICROSYSTEMS, INC. ''AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL SUN MICROSYSTEMS, INC. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef _SCSI_TESTER_H
#define	_SCSI_TESTER_H

#pragma ident	"@(#)scsi_tester.h	1.2	09/02/11 SMI"

/*
 * Function declarations used by scsi interface.
 */

#ifdef __cplusplus
extern "C" {
#endif

NdmpParamExtractFunc	ndmp_scsi_open_request_extract;
NdmpParamExtractFunc	ndmp_scsi_open_reply_extract;
NdmpCompareParamFunc	ndmp_scsi_open_reply_compare;
PrintNdmpMsgFunc	ndmp_scsi_open_reply_print;

NdmpParamExtractFunc	ndmp_scsi_close_request_extract;
NdmpParamExtractFunc	ndmp_scsi_close_reply_extract;
NdmpCompareParamFunc	ndmp_scsi_close_reply_compare;
PrintNdmpMsgFunc	ndmp_scsi_close_reply_print;

NdmpParamExtractFunc	ndmp_scsi_get_state_request_extract;
NdmpParamExtractFunc	ndmp_scsi_get_state_reply_extract;
NdmpCompareParamFunc	ndmp_scsi_get_state_reply_compare;
PrintNdmpMsgFunc	ndmp_scsi_get_state_reply_print;

NdmpParamExtractFunc	ndmp_scsi_reset_device_request_extract;
NdmpParamExtractFunc	ndmp_scsi_reset_device_reply_extract;
NdmpCompareParamFunc	ndmp_scsi_reset_device_reply_compare;
PrintNdmpMsgFunc	ndmp_scsi_reset_device_reply_print;

NdmpParamExtractFunc	ndmp_scsi_execute_cdb_request_extract;
NdmpParamExtractFunc	ndmp_scsi_execute_cdb_reply_extract;
NdmpCompareParamFunc	ndmp_scsi_execute_cdb_reply_compare;
PrintNdmpMsgFunc	ndmp_scsi_execute_cdb_reply_print;

#ifdef __cplusplus
}
#endif

#endif /* _SCSI_TESTER_H */
